# $LastChangedDate: 2009-12-25 20:21:19 -0600 (Fri, 25 Dec 2009) $
# Author: Jim E. Brooks http://www.palomino3d.org
# Find OpenSceneGraph.
# Output:
# OSG_FOUND
# OSG_INC_DIR
# OSG_LIB_DIR (not OSG_LIBS)
# Notes:
# - See module.txt.
#-------------------------------------------------------------------------------

INCLUDE( CMakeModules/inc_find.cmake )

#-------------------------------------------------------------------------------
# Find include directory : OSG_INC_DIR

FIND_PATH( OSG_INC_DIR
    NAMES osg/Node
    PATHS ${POSSIBLE_OSG_INC_DIRS}
)

#-------------------------------------------------------------------------------
# Find library *DIRECTORY* : OSG_LIB_DIR (not OSG_LIBS)

FIND_PATH( OSG_LIB_DIR
    NAMES libosg libosg.so libosg.dylib osg.lib  # unlike FIND_LIBRARY()
    PATHS ${POSSIBLE_OSG_LIB_DIRS}
)

#-------------------------------------------------------------------------------
# Found everything?

IF( OSG_INC_DIR AND OSG_LIB_DIR )
    SET( OSG_FOUND "TRUE" )
    SET( OPENSCENEGRAPH_FOUND "TRUE" )  # alt name
    MESSAGE( STATUS "Found OpenSceneGraph: ${OSG_LIB_DIR}" )
    # Apply.
    ADD_INCLUDE_DIR( ${OSG_INC_DIR} )
    LINK_DIRECTORIES( ${OSG_LIB_DIR} )
ELSE()
    MESSAGE( FATAL_ERROR "Could not find OpenSceneGraph" )
ENDIF()
