# $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
# Author: Jim E. Brooks http://www.palomino3d.org
# Common definitions for Find*.cmake files.
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
# Possible generic include/library directories.

SET( POSSIBLE_INC_DIRS
     # UNIX:
     /usr/local/include
     /usr/include
     /opt/include

     # Apple:
     /sw/include  # Fink
     /opt/local/include  # DarwinPorts
     ~/Library/Frameworks
     /Library/Frameworks
)

SET( POSSIBLE_LIB_DIRS
     # UNIX:
     /usr/local/lib64
     /usr/local/lib
     /usr/lib64
     /usr/lib
     /opt/local/lib64
     /opt/local/lib
     /opt/lib64
     /opt/lib

     # Apple:
     /sw/lib64
     /sw/lib
     ~/Library/Frameworks
     /Library/Frameworks
)

#-------------------------------------------------------------------------------
# Possible OpenSceneGraph/OpenThreads include/library directories.

SET( POSSIBLE_OSG_INC_DIRS
     $ENV{OPENSCENEGRAPH_INCLUDE_DIR}
     $ENV{OPENSCENEGRAPH_DIR}/include
     $ENV{OPENSCENEGRAPH_DIR}
     $ENV{OSG_INCLUDE_DIR}
     $ENV{OSG_INCLUDE_PATH}
     $ENV{OSG_DIR}/include
     $ENV{OSG_DIR}
     [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OpenSceneGraph_ROOT]/include
     [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/include
     ${POSSIBLE_INC_DIRS}
)

SET( POSSIBLE_OSG_LIB_DIRS
     $ENV{OPENSCENEGRAPH_LIBRARY_DIR}
     $ENV{OPENSCENEGRAPH_DIR}/lib64
     $ENV{OPENSCENEGRAPH_DIR}/lib
     $ENV{OPENSCENEGRAPH_DIR}
     $ENV{OSG_LIBRARY_DIR}
     $ENV{OSG_LIB_PATH}
     $ENV{OSG_DIR}/lib64
     $ENV{OSG_DIR}/lib
     $ENV{OSG_DIR}
     [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OpenSceneGraph_ROOT]/lib
     [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/lib
     ${POSSIBLE_LIB_DIRS}
)
