/******************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   C++ exceptions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 ******************************************************************************/

#define BASE_EXCEPTION_CC 1
#include "base/module.hh"
#include "base/exception.hh"

namespace base {

/*****************************************************************************
 * ctor/dtor.
 *****************************************************************************/
Exception::Exception( void )
:   mText("Exception!")
{
}

Exception::Exception( const string& text )
:   mText(text)
{
}

Exception::Exception( ostringstream& oss )
:   mText(oss.str())
{
}

Exception::~Exception()
{
}

string
Exception::GetText( void ) const
{
    return mText;
}

/*****************************************************************************
 * Print exception.
 *****************************************************************************/
void
PrintException( const Exception& exception, const string& functionName )
{
    CERROR << "** EXCEPTION!! [" << functionName << "] **" << endl
           << exception.GetText() << endl;
}

} // namespace base
