/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   C++ exceptions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_EXCEPTION_HH
#define BASE_EXCEPTION_HH 1

#include <sstream>

namespace base {

////////////////////////////////////////////////////////////////////////////////
/// @brief Base Exception class.
///
class Exception
{
public:
                    Exception( void );
                    Exception( const string& text );
                    Exception( ostringstream& oss );
    virtual         ~Exception();
    virtual string  GetText( void ) const;

private:
    const string    mText;
};

void
PrintException( const Exception& exception, const string& functionName );

} // namespace base

#endif // BASE_EXCEPTION_HH
