/*****************************************************************************
 * $LastChangedDate: 2010-02-02 11:33:01 -0600 (Tue, 02 Feb 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   OSG reference-counted pointer.
 * @remarks See shptr_doc.hh for shptr vs. osg::ref_ptr.
 *//*
 * LEGAL:   COPYRIGHT (C) JIM E. BROOKS 2007
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if COMPILE_OSG && ! DOXYGEN
#ifndef BASE_REF_PTR_HH
#define BASE_REF_PTR_HH 1

#include <osg/Referenced>
#include <osg/ref_ptr>

#define RefPtr   osg::ref_ptr  ///< for OSG objects only, osg::ref_ptr is NOT THREAD-SAFE, use shptr for non-OSG
#define RefPtr0  osg::ref_ptr  ///< for OSG objects only, osg::ref_ptr is NOT THREAD-SAFE, use shptr for non-OSG

#endif // BASE_REF_PTR_HH
#endif // COMPILE_OSG && ! DOXYGEN
