/*****************************************************************************
 * $LastChangedDate: 2010-01-30 15:48:12 -0600 (Sat, 30 Jan 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   C++ streams.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_STREAM_HH
#define BASE_STREAM_HH 1

#include <iostream>
#include <iomanip>
#include <streambuf>
#include <fstream>

namespace base {

// C++ stream field formatting.
#define OMANIP_FIELD(CHARS) std::setw(CHARS) << std::right

/// Helpers for C++ streams.

//bool StreamGood( std::ios& s );  // just use stream.good() (hi-freq)

bool
StreamOpen( fstream& fs, ios::openmode bits, const string& filename );

bool
StreamReadLine( istream& strm, string& line );

bool
StreamToNextLine( istream& strm );

bool
StreamPeek( istream& strm, const string& word );

} // namespace base

#endif // BASE_STREAM_HH
