/*****************************************************************************
 * $LastChangedDate: 2009-12-15 12:57:28 -0600 (Tue, 15 Dec 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Include file-system headers.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_OS_FILE_HH
#define BASE_OS_FILE_HH 1

#include <cstdlib>
#include <cstdio>
#include <cerrno>
#include <fcntl.h>
#if ! OS_WINDOWS
#include <unistd.h>
#include <dirent.h>
#endif

namespace base {

// Filesystem specific.
#define DIRECTORY_SEPARATOR_CHAR '/'  ///< Windows supports UNIX forward slash, maybe v.v.
#define DIRECTORY_SEPARATOR_STR  "/"
const string DIRECTORY_SEPARATOR_STRING("/");
#if OS_WINDOWS
#define DOSFS  1
#define GETCWD _getcwd
#else
#define GETCWD getcwd
#endif

} // namespace base

#endif // BASE_OS_FILE_HH
