/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   ImageCache class.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef FX_IMAGE_CACHE_HH
#define FX_IMAGE_CACHE_HH 1

#define GET_IMAGE_CACHE() (fx::ImageCache::GetInstance())

#include <osg/Image>

namespace fx {

typedef osg::Image Image;

////////////////////////////////////////////////////////////////////////////////
/// @brief Cache of images files (for texture objects).
///
/// Similar to graph::ModelCache.
///
class ImageCache
{
PREVENT_COPYING(ImageCache)
private:
                            ImageCache( void );
                            ~ImageCache();

public:
                            DEF_GetInstance( ImageCache )  // Singleton
    RefPtr<osg::Image>      LoadImage( const string& filename );

private:
    typedef map<string,RefPtr<Image> > ImageMap;
    CLASS_VAR ImageCache*   msInstance;
    ImageMap                mImageMap;      ///< maps filename and osg::Image
};

} // namespace fx

#endif // FX_IMAGE_CACHE_HH
