/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace fx
 * @brief Special-effects.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef FX_MODULE_HH
#define FX_MODULE_HH 1

#if DEBUG && ! defined(DEBUG_PARTSYS)
//#define DEBUG_PARTSYS 1  // enables logging
#endif

//------------------------------------------------------------------------------
// See base/module.hh

namespace fx {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace fx

//------------------------------------------------------------------------------

#include "base/module.hh"
using namespace base;
#include "object/module.hh"
using namespace object;
#include "physics/module.hh"
using namespace physics;
#include "fx/defs.hh"
#if DEBUG
#include "fx/typesig_defs.hh"
#endif

#endif // FX_MODULE_HH
