/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Typesig definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef FX_TYPESIG_DEFS_HH
#define FX_TYPESIG_DEFS_HH 1

namespace fx {

/// Type signatures.
enum
{
    TYPESIG_TEXTURE                  = (uint('t')<<24) | (uint('x')<<16) | (uint('t')<<8) | uint('u'),
    TYPESIG_SPRITE                   = (uint('s')<<24) | (uint('p')<<16) | (uint('r')<<8) | uint('i'),
    TYPESIG_PARTICLE_SYSTEM          = (uint('p')<<24) | (uint('t')<<16) | (uint('s')<<8) | uint('y'),
    TYPESIG_SMALL_PARTICLE_SYSTEM    = (uint('s')<<24) | (uint('p')<<16) | (uint('s')<<8) | uint('y'),
    TYPESIG_MEDIUM_PARTICLE_SYSTEM   = (uint('m')<<24) | (uint('d')<<16) | (uint('p')<<8) | uint('s'),
    TYPESIG_MEDIUM_PARTICLE_DRAWABLE = (uint('m')<<24) | (uint('d')<<16) | (uint('d')<<8) | uint('r'),
    TYPESIG_BIG_PARTICLE             = (uint('b')<<24) | (uint('g')<<16) | (uint('p')<<8) | uint('r'),
    TYPESIG_BIG_PARTICLE_SYSTEM      = (uint('b')<<24) | (uint('p')<<16) | (uint('s')<<8) | uint('y'),
};

} // namespace fx

#endif // FX_TYPESIG_DEFS_HH
#endif // DEBUG
