/*****************************************************************************
 * $LastChangedDate: 2010-02-03 12:50:46 -0600 (Wed, 03 Feb 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   OSG utility functions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GFX_OSG_FUNCS_HH
#define GFX_OSG_FUNCS_HH 1

namespace gfx {

//----------------
// Node functions:
//----------------

void
OsgNodeRemoveChildren( RefPtr<osg::Group> group );

bool
OsgNodeSaveToFile( osg::Node& node, const string& filename );

//--------------------
// Geometry functions:
//--------------------

void
OsgGeometryWasModified( RefPtr<osg::Geometry> geom,
                        RefPtr<osg::Vec3Array> vertexs );

void
OsgGeometryWasModifiedByResizing( RefPtr<osg::Geometry> geom,
                                  RefPtr<osg::Vec3Array> vertexs,
                                  RefPtr<osg::DrawArrays> drawArray );

} // namespace gfx

#endif // GFX_OSG_FUNCS_HH
