/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Abstraction of node types.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GRAPH_TYPEDEFS_HH
#define GRAPH_TYPEDEFS_HH 1

// graph/osg.hh includes headers.

#if ! DOXYGEN
namespace osg {

class Node;
class Group;
class Switch;
class MatrixTransform;

} // namespace osg
#endif // ! DOXYGEN

namespace graph {

// Write these in a class interface, to provide some independence from OSG,
// but write their real names in .cc for clarity.
typedef osg::Node               Node;
typedef osg::Group              GroupNode;
typedef osg::Switch             SwitchNode;
typedef osg::MatrixTransform    TransformNode;

} // namespace graph

#endif // GRAPH_TYPEDEFS_HH
