/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace hud
 * @brief HUD module.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef HUD_MODULE_HH
#define HUD_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace hud {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace hud

//------------------------------------------------------------------------------

#include "graph/module.hh"
using namespace graph;
#if DEBUG
#include "hud/typesig_defs.hh"
#endif
#include "hud/defs.hh"
#include "hud/hud.hh"
#include "hud/hud_object.hh"
#include "hud/hud_text.hh"
#include "hud/hud_box.hh"

#endif // HUD_MODULE_HH
