/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   This module contains bootstrap/kickstart routines.
 * @verbatim
 *
 * The top-level of the app:
 *
 * void
 * main( int argc, char** argv )
 * {
 *     init::Init( init::InitArgs(..) );
 *     init::Start();
 * }
 *
 * @endverbatim
 * @namespace init
 * @brief Kickstart routines.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef INIT_MODULE_HH
#define INIT_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace init {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace init

//------------------------------------------------------------------------------

#endif // INIT_MODULE_HH
