-- $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.
-- Avoid lua_/LUA_ which is reserved by Lua.

bindTable = {

class = "FX",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "fx/module.hh"
#include "fx/motion_blur.hh"
using namespace fx;
]],

func_EnableMotionBlur = {
    comments = "FX:EnableMotionBlur( persistence )",
    code = [[
        const fp persistence = POP_FP( L );
        MotionBlur::GetInstance().Enable( persistence );
    ]]
},

func_DisableMotionBlur = {
    comments = "FX:DisableMotionBlur()",
    code = [[
        MotionBlur::GetInstance().Disable();
    ]]
},

}
