-- $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.
-- Avoid lua_/LUA_ which is reserved by Lua.

bindTable = {

class = "Light",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "shader/module.hh"
#include "shader/light.hh"
using namespace shader;
]],

func_SetBrightness = {
    comments = "Light:SetBrightness( float )",
    code = [[
        GET_LIGHT().SetLightBrightness( POP_FP(L) );
    ]]
},

func_GetBrightness = {
    comments = "float Light:GetBrightness()",
    code = [[
        lua_pushnumber( L, GET_LIGHT().GetLightBrightness() );
        return 1;  // number of pushed values
    ]]
},

}
