/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Macros to simplify glue code between C++ and Lua.
 * @remarks module.txt documents how to export new C++ classes to Lua.
 * Avoid using names such as LUA_* which Lua itself uses.
 * Rather, write "lua::" to solve any naming conflicts.
 *------------------------------------------------------------------------------
 * REMEMBER: Indexs of tables passed between C++ and Lua must be ## ZERO-BASED ##.
 * Lua scripts must define special Lua classes such as Vec3 with zero-based indexs
 * because passing array-like one-based Lua tables to zero-based C++ is wrong.
 *------------------------------------------------------------------------------
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef LUABIND_MACROS_HH
#define LUABIND_MACROS_HH 1

#include "lua_bind/macros_generic.hh"   // generic
#include "lua_bind/macros_palomino.hh"  // app-specific

#endif // LUABIND_MACROS_HH
