/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Matrix math.
 * @remarks
 * Parts of the original Matrix class was factored out
 * and rewritten as template functions for use with OSG Matrix.
 * Speed-critical methods or those N/A to OSG remain Matrix inline methods.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef MATH_MATRIX_HH
#define MATH_MATRIX_HH 1

// Just include enough to define Matrix class.
#if COMPILE_OSG
#include <osg/Matrix>
#include <osg/MatrixTransform>
#define MATRIX_ROW_MAJOR  0
#endif // COMPILE_OSG
#include "math/matrix_defs.hh"
#include "math/matrix_class.hh"
//#include "math/matrix_funcs.hh"

#endif // MATH_MATRIX_HH
