/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Vector/vertex types.
 *//*
 * LEGAL:   COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef MATH_VERTEX_HH
#define MATH_VERTEX_HH 1

#include "math/defs_vector.hh"

#include <osg/Vec2>
#include <osg/Vec2f>
#include <osg/Vec2d>
#include <osg/Vec3>
#include <osg/Vec3f>
#include <osg/Vec3d>

/// @class math::Vector2
/// @class math::Vector3
/// @class math::LocalVertex
/// @class math::WorldVertex
/// @class math::EyeVertex
#define Vector2      osg::Vec2f
#define Vector3      osg::Vec3f
#define LocalVertex  osg::Vec3f
#define WorldVertex  osg::Vec3f
#define EyeVertex    osg::Vec3f

// KLUDGE: To compile operator<<(osg::Vec3), place inside the osg namespace.
#if ! DOXYGEN
namespace osg {
ostream& operator<<( ostream& strm, const Vector2& v );
ostream& operator<<( ostream& strm, const Vector3& v );
} // namespace osg
#endif // ! DOXYGEN

#endif // MATH_VERTEX_HH
