/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace physics
 * @brief physics module.
 * @namespace physics::conv
 * @brief Physics conversion functions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PHYSICS_MODULE_HH
#define PHYSICS_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace physics {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace physics

//------------------------------------------------------------------------------

#include "math/module.hh"
using namespace math;
#include "world/defs.hh"  // LAT,LON,ALT
#if DEBUG
#include "physics/typesig_defs.hh"
#endif
#include "physics/types.hh"
#include "physics/defs.hh"
#include "physics/conversion.hh"

#endif // PHYSICS_MODULE_HH
