/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Module header.
 * @namespace sky
 * @brief Sky module (SkyDome, Sun, Moon, Stars).
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SKY_MODULE_HH
#define SKY_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace sky {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace sky

//------------------------------------------------------------------------------

#include "math/module.hh"
#include "math/types_trig.hh"
using namespace math;
#include "gfx/module.hh"
#include "gfx/rgba.hh"
#include "gfx/osg.hh"
using namespace gfx;
#include "object/module.hh"
using namespace object;
#include "sky/typesig_defs.hh"  // most sky headers should be
#include "sky/sky.hh"           // treated as private implementation

#endif // SKY_MODULE_HH
