/*****************************************************************************
 * $LastChangedDate: 2010-02-03 18:48:51 -0600 (Wed, 03 Feb 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Stars.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SKY_STARS_HH
#define SKY_STARS_HH 1

namespace sky {

////////////////////////////////////////////////////////////////////////////////
/// @brief Makes stars.
///
/// Integration:
/// Stars is to be instantiated and contained by Sky.
///
class Stars : public Object
{
PREVENT_COPYING(Stars)
public:
                        Stars( const WorldVertex& pos, const uint count, SkyDome& skyDome );
    virtual             ~Stars();
    virtual NodeSort    GetNodeSort( void );

private:
    RefPtr<osg::Geode>  mGeode;
};

} // namespace sky

#endif // SKY_STARS_HH
