/*****************************************************************************
 * $LastChangedDate: 2009-12-16 18:28:57 -0600 (Wed, 16 Dec 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Module header file.
 * @namespace sound
 * @brief Sound module.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SOUND_MODULE_HH
#define SOUND_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace sound {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace sound

//------------------------------------------------------------------------------

#if COMPILE_SDL
#include <SDL.h>
#include <SDL_mixer.h>
// SDL header defines a main() macro, undefine it.
#undef main
#endif // COMPILE_SDL

#include "base/module.hh"
#include "base/event.hh"
using namespace base;
#if DEBUG
#include "sound/typesig_defs.hh"
#endif
#include "sound/sound.hh"

#endif // SOUND_MODULE_HH
