/*****************************************************************************
 * $LastChangedDate: 2010-01-28 22:56:22 -0600 (Thu, 28 Jan 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Base classes to mark level of thread-safety (for documentation).
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

//#if COMPILE_THREADS
#ifndef THREADS_THREADABLE_HH
#define THREADS_THREADABLE_HH 1

namespace threads {

////////////////////////////////////////////////////////////////////////////////
/// @brief Base class to indicate a class is thread-safe.
///
class Threadable
{
};

////////////////////////////////////////////////////////////////////////////////
/// @brief Base class to indicate a class that has imperfect thread-safety.
///
class SemiThreadable
{
};

////////////////////////////////////////////////////////////////////////////////
/// @brief Base class to indicate that a class isn't thread-safe.
///
class NonThreadable
{
};

} // namespace threads

#endif // THREADS_THREADABLE_HH
//#endif // COMPILE_THREADS
