/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace view
 * @brief view module (View, Viewpoint, Window).
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef VIEW_MODULE_HH
#define VIEW_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace view {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace view

//------------------------------------------------------------------------------

#include "base/time.hh"
using namespace base;
#include "math/module.hh"
#include "math/matrix.hh"
using namespace math;
#include "gfx/module.hh"
#include "gfx/osg.hh"
using namespace gfx;
#if DEBUG
#include "view/typesig_defs.hh"
#endif

#endif // VIEW_MODULE_HH
