/*****************************************************************************
 * $LastChangedDate: 2009-12-06 21:22:01 -0600 (Sun, 06 Dec 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Typesig definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef VIEW_TYPESIG_DEFS_HH
#define VIEW_TYPESIG_DEFS_HH 1

namespace view {

/// Type signatures.
enum
{
    TYPESIG_CHASE_VIEWPOINT        = (uint('c')<<24) | (uint('h')<<16) | (uint('v')<<8) | uint('p'),
    TYPESIG_OBSERVER               = (uint('o')<<24) | (uint('b')<<16) | (uint('s')<<8) | uint('r'),
    TYPESIG_OBSERVER_CURRENT_CRAFT = (uint('o')<<24) | (uint('b')<<16) | (uint('c')<<8) | uint('c'),
    TYPESIG_OBSERVER_MATRIX        = (uint('o')<<24) | (uint('b')<<16) | (uint('m')<<8) | uint('x'),
    TYPESIG_OTW_VIEWPOINT          = (uint('o')<<24) | (uint('t')<<16) | (uint('w')<<8) | uint('v'),
    TYPESIG_MANIPULATOR_VIEWPOINT  = (uint('m')<<24) | (uint('a')<<16) | (uint('n')<<8) | uint('v'),
    TYPESIG_VIEW                   = (uint('v')<<24) | (uint('i')<<16) | (uint('e')<<8) | uint('w'),
    TYPESIG_VIEWPOINT              = (uint('v')<<24) | (uint('w')<<16) | (uint('p')<<8) | uint('t'),
};

} // namespace view

#endif // VIEW_TYPESIG_DEFS_HH
#endif // DEBUG
