/*****************************************************************************
 * $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Main header file.
 * @namespace world
 * @brief world module.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef WORLD_MODULE_HH
#define WORLD_MODULE_HH 1

//------------------------------------------------------------------------------
// See base/module.hh

namespace world {

void Init( const base::InitArgs& initArgs );

void Start( void );

} // namespace world

//------------------------------------------------------------------------------

#include "physics/types.hh"  // include types only
using namespace physics;
#include "graph/module.hh"
using namespace graph;
#include "world/types.hh"  // don't include planet.hh (private implementation)
#include "world/defs.hh"
#include "world/conversion.hh"
#include "world/world.hh"

#endif // WORLD_MODULE_HH
