-- $LastChangedDate: 2009-11-22 21:39:11 -0600 (Sun, 22 Nov 2009) $
-- This tests ability to inherit and override a base method.

dofile( "pre.lua" )

Object = { }

function Object:new( name )
    -- If base class was instantiated directly, the base class will be passed as self.
    -- Or a derivative was instantiated which can chain ctors by passing its instance as self.
    if ( self == Object ) then
        self = lib.NewInstance( Object )  -- not chained, need new instance
    end
    self.name = name
    return self
end

function Object:GetClassName()
    return "Object"
end

function Object:GetName()
    return self.name
end

Dyna = lib.DerivedClass( Object )

function Dyna:new( name )
    self = lib.NewInstance( Dyna )
    Object.new( self, name )
  --self.name assigned by base ctor
    self.className = "Dyna"
    return self
end

function Dyna:GetClassName()
    return "Dyna"
end

-- Test.
object = Object:new( "Object" )
print( "object:GetClassName() = '" .. object:GetClassName() .. "'" )
assert( object:GetClassName() == "Object" )
print( "object:GetName()      = '" .. object:GetName() .. "'" )
assert( object:GetName() == "Object" )

dyna = Dyna:new( "Dyna" )
print( "dyna:GetClassName()   = '" .. dyna:GetClassName() .. "'" )
assert( dyna:GetClassName() == "Dyna" )
print( "dyna:GetName()        = '" .. dyna:GetName() .. "'" )
assert( dyna:GetName() == "Dyna" )

-- Success.
os.exit( 0 )
