#!/usr/bin/env bash
# $LastChangedDate: 2009-12-18 15:29:35 -0600 (Fri, 18 Dec 2009) $
# Author: Jim Brooks  http://www.palomino3d.org
# Desc:   Echo name of operating-system as lower-case.
#         If error, prints nothing (OS isn't recognized).
#-------------------------------------------------------------------------------

# Detect which OS from environment variable.
UNAME=`uname -s`
if   ( echo $OSTYPE | grep -q -i linux   ) || [ "$UNAME" = "Linux"   ]; then
    echo "linux"
elif ( echo $OSTYPE | grep -q -i freebsd ) || [ "$UNAME" = "FreeBSD" ]; then
    echo "freebsd"
elif ( echo $OSTYPE | grep -q -i darwin  ) || [ "$UNAME" = "Darwin"  ]; then
    echo "darwin"
elif ( echo $OSTYPE | grep -q -i cygwin  ) || [ "$UNAME" = "cygwin"  ]; then
    echo "cygwin"  # [2009/12] needed for tools/clean.sh
else
    # Silently exit.  Makefile will catch nothing printed.
    exit 1
fi
exit 0
